Eclipse Platform Release 3.7

## org.eclipse.compare.structuremergeviewer
Interface ICompareInputChangeListener

    public interface ICompareInputChangeListener

Listener that gets informed if one (or more) of the three sides of an `ICompareInput` object changes its value.

For example when accepting an incoming addition the (non-null) left side of an `ICompareInput` is copied to the right side (which was `null`). This triggers a call to `compareInputChanged` of registered `ICompareInputChangeListener`.

Note however, that listener are not informed if the content of one of the sides changes.

Clients may implement this interface. It is also implemented by viewers that take an `ICompareInput` as input.

Method Summary
`void` `compareInputChanged(ICompareInput source)` Called whenever the value (not the content) of one or more of the three sides of a `ICompareInput` has changed.

Method Detail

### compareInputChanged

    void compareInputChanged(ICompareInput source)

  Called whenever the value (not the content) of one or more of the three sides of a `ICompareInput` has changed.

  Parameters:
    `source` - the `ICompareInput` that has changed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.